%define buildgtkhtml	1
%define pygtk		2.4.0
%define gnomepython	2.10.0
%define oname		gnome-python
%define build_gda	1
%define gdaapi		4.0
%define build_gksu	0
%define build_gksu2	1

Summary:	GNOME extra bindings for Python
Name:		gnome-python-extras
Version:	2.25.3
Release:	%mkrel 18
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Patch3:		gnome-python-extras-2.25.1-linkage.patch
Patch4:		gnome-python-extras-2.25.3-drop-private-gdl-types.patch
Patch5:		gnome-python-extras-2.25.3-automake-1.13.patch
URL:		ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python-extras
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
BuildRequires:	pygtk2.0-devel >= %{pygtk}
BuildRequires:	gnome-python >= %{gnomepython}
BuildRequires:	python-devel >= 2.2
BuildRequires:	libgnomeui2-devel >= 2.0.0
BuildRequires:	gtksourceview1-devel >= 1.1.0
BuildRequires:	libexpat-devel
BuildRequires:	avahi-glib-devel
BuildRequires:	avahi-client-devel
BuildRequires:	gtk-doc
Requires:	gnome-python >= %{gnomepython}
Requires:	gnome-python-gnomevfs >= %{gnomepython}
Obsoletes:	perl-Gtk2-MozEmbed
%if %{buildgtkhtml}
BuildRequires:	libgtkhtml2-devel >= 1.99.9
%endif
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
The gnome-python-extras package contains the additional Python
bindings for GNOME.

%if %build_gda
%package -n %{oname}-gda
Summary:	Python bindings for GNU Data Access
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}
BuildRequires:	libgda%{gdaapi}-devel >= 3.99.9

%description -n %{oname}-gda
This module contains a wrapper that allows programs written in Python
to use GNU Data Access.

%package -n %{oname}-gda-devel
Summary:	C header of the GNU Data Access Python bindings
Group:		Development/Libraries
Requires:	%{oname}-gda = %{version}-%{release}

%description -n %{oname}-gda-devel
This is a C header needed for building extensions to the GNU Data
Access Python bindings.
%endif

%if %build_gksu
%package -n %{oname}-gksu
Summary:	Python bindings for GKSu
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}
BuildRequires:	libgksu1.2-devel
BuildRequires:	libgksuui-devel

%description -n %{oname}-gksu
This module contains a wrapper that allows programs written in Python
to use GKSu.
%endif

%if %build_gksu2
%package -n %{oname}-gksu2
Summary:	Python bindings for GKSu2
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}
BuildRequires:	libgksu2-devel

%description -n %{oname}-gksu2
This module contains a wrapper that allows programs written in Python
to use GKSu.
%endif

%package -n %{oname}-gtkspell
Summary:	Python bindings for gtkspell
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}
BuildRequires:	gtkspell-devel

%description -n %{oname}-gtkspell
This module contains a wrapper that allows gnome python apps to use
the gtkspell library.

%package -n %{oname}-gtkmozembed
Summary:	Python bindings for mozilla
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}


%description -n %{oname}-gtkmozembed
This module contains a wrapper that allows gnome python apps to embed
the mozilla browser.

%package -n %{oname}-gtkhtml2
Summary:	Python bindings for interacting with gtkhtml2
Group:		Graphical desktop/GNOME

%description -n %{oname}-gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via
Python.


%package -n %{oname}-gdl
Summary:	Python bindings for interacting with gdl
Group:		Graphical desktop/GNOME

%description -n %{oname}-gdl
This module contains a wrapper that allows programs written in Python
to use Gnome Devtool Libraries.



%prep
%setup -q
%patch3 -p1 -b .linkage
%patch4 -p0 -b .gdl
%patch5 -p1

autoreconf -fi

%build
%configure2_5x --enable-docs

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -exec rm {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog examples/egg/
%{_datadir}/pygtk/2.0/defs/
%{_libdir}/pkgconfig/%{name}-2.0.pc
%{python_sitearch}/gtk-2.0/egg/

%if %{build_gksu}
%files -n %{oname}-gksu
%defattr(-,root,root)
%{python_sitearch}/gtk-2.0/gksu/
%endif

%if %build_gksu2
%files -n %{oname}-gksu2
%defattr(-,root,root)
%{python_sitearch}/gtk-2.0/gksu2/
%endif

%if %build_gda
%files -n %{oname}-gda
%defattr(-,root,root)
%{_datadir}/pygtk/2.0/argtypes/gda-*
%{python_sitearch}/gtk-2.0/gda.so

%files -n %{oname}-gda-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/pygda-%{gdaapi}.pc
%{_includedir}/pygda-%{gdaapi}/
%endif

%files -n %{oname}-gtkspell
%defattr(-,root,root)
%doc examples/gtkspell
%doc %{_datadir}/gtk-doc/html/pygtkspell
%{python_sitearch}/gtk-2.0/gtkspell.so

%files -n %{oname}-gtkmozembed
%defattr(-,root,root)


%if %{buildgtkhtml}
%files -n %{oname}-gtkhtml2
%defattr(-,root,root)
%doc examples/gtkhtml2
%{python_sitearch}/gtk-2.0/gtkhtml2.so
%endif

%files -n %{oname}-gdl
%defattr(-,root,root)



%changelog
* Sat Nov 02 2013 billybot <billybot> 2.25.3-18pclos2013
- rebuild

* Sat Nov 02 2013 billybot <billybot> 2.25.3-17pclos2013
- rebuild against updated xulrunner

* Thu Aug 15 2013 billybot <billybot> 2.25.3-16pclos2013
- update for python 2.7

* Fri Sep 30 2011 Texstar <texstar at gmail.com> 2.25.3-15pclos2011
- rebuild for xulrunner 7.0.1

* Fri Sep 30 2011 Texstar <texstar at gmail.com> 2.25.3-14pclos2011
- rebuild for xulrunner 7.0

* Fri Sep 02 2011 Texstar <texstar at gmail.com> 2.25.3-13pclos2011
- rebuild

* Mon Aug 29 2011 Texstar <texstar at gmail.com> 2.25.3-12pclos2011
- rebuild
